> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/beta-documentation/expected-goals/includes.md).

# Includes

The "Includes" parameter allows you to specify additional information to be included in the API response. For xG values, we offer two primary includes:`xGFixture` and the nested include `lineups.xGLineup`.

### Expected by Team

To retrieve the xG values by team for a fixture, we've introduced an include to use. You can use `xGFixture` on the Fixture entities, to retrieve the xG values for teams participating in a match. You can use this include as follows:

{% tabs %}
{% tab title="Request" %}

```
https://api.sportmonks.com/v3/football/fixtures/date/2024-03-03??include=xGFixture
```

{% endtab %}

{% tab title="Response" %}

```
      "expected": [
        {
          "id": 27141258,
          "fixture_id": 18842545,
          "type_id": 5304,
          "participant_id": 9,
          "data": {
            "value": 3.6439
          },
          "location": "home"
        },
        {
          "id": 27141259,
          "fixture_id": 18842545,
          "type_id": 5304,
          "participant_id": 14,
          "data": {
            "value": 0.3841
          },
          "location": "away"
        },
        {
          "id": 27141260,
          "fixture_id": 18842545,
          "type_id": 5305,
          "participant_id": 9,
          "data": {
            "value": 4.4602
          },
          "location": "home"
        },
        {
          "id": 27141261,
          "fixture_id": 18842545,
          "type_id": 5305,
          "participant_id": 14,
          "data": {
            "value": 0.2255
          },
          "location": "away"
        }
      ]
    }
```

{% endtab %}
{% endtabs %}

### Expected by player

To retrieve the xG values by player for a fixture, we've introduced an include to use. You can use `lineups.xGLineup` on the Fixture entities, to retrieve the xG values for players participating in a match. You can use this include as follows:

{% tabs %}
{% tab title="Request" %}

```
https://api.sportmonks.com/v3/football/fixtures/date/2024-03-03?include=lineups.xGLineup
```

{% endtab %}

{% tab title="Response" %}

```
        {
          "id": 8193384466,
          "sport_id": 1,
          "fixture_id": 18842545,
          "player_id": 154421,
          "team_id": 9,
          "position_id": 27,
          "formation_field": "5:1",
          "type_id": 11,
          "formation_position": 11,
          "player_name": "Erling Haaland",
          "jersey_number": 9,
          "expected": [
            {
              "id": 1068406356,
              "fixture_id": 18842545,
              "player_id": 154421,
              "team_id": 9,
              "lineup_id": 8193384466,
              "type_id": 5304,
              "data": {
                "value": 1.1634
              }
            },
            {
              "id": 1068406358,
              "fixture_id": 18842545,
              "player_id": 154421,
              "team_id": 9,
              "lineup_id": 8193384466,
              "type_id": 5305,
              "data": {
                "value": 1.1634
              }
            }
          ]
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
If you've got any questions or comments about using this include, feel free to reach out to us at <support@sportmonks.com>.&#x20;
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v3/beta-documentation/expected-goals/includes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
